Bug 22486 - anaconda chokes at reading packages
anaconda chokes at reading packages
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-18 22:16 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-19 11:34:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-18 22:16:02 EST
Anaconda chokes at reading packages on all install options - workstation, 
server, or custom.  Single CDROM drive on Dell Optiplex GX1.  CD is free 
of visible defect and was reoriented in drive numerous times.  Following 
is text saved:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in 
nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in 
setScreen
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/package_gui.py", line 
427, in getScreen
    self.todo.getCompsList()
  File "/tmp/updates/todo.py", line 539, in getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 16, in 
readComps
    return ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
    self.readCompsFile(file, self.packages, arch, matchAllLang)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
    comp.addPackage(packages[l])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
    return self.packages[item]
KeyError: MAKEDEV
Comment 1 Michael Fulbright 2000-12-19 11:34:31 EST
This error occurs when there is an error reading the CD. Either the drive is
experiencing problems, or the CD is bad.

Note You need to log in before you can comment on or make changes to this bug.